#### Description:

This function returns a Mapping in which the forward transformation transforms a position in the coordinate system given by the System attribute of the supplied SkyFrame, into the offset coordinate system specified by the SkyRef, SkyRefP and SkyRefIs attributes of the supplied SkyFrame.

A UnitMap is returned if the SkyFrame does not define an offset coordinate system.

#### Synopsis

AstMapping ∗astSkyOffsetMap( AstSkyFrame ∗this )

#### Parameters:

##### this

Pointer to the SkyFrame.

#### Returned Value

##### astSkyOffsetMap()

Pointer to the returned Mapping.

#### Notes:

- A null Object pointer (AST__NULL) will be returned if this function is invoked with the AST error status set, or if it should fail for any reason.

Copyright (C) 2021 East Asian Observatory